package com.lz.modules.equipment.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.equipment.entity.EquipmentDto;
import com.lz.modules.equipment.entity.EquipmentInfo;
import com.lz.modules.equipment.entity.EquipmentInfoReq;
import com.lz.modules.equipment.entity.model.FindByNameModel;
import com.lz.modules.equipment.entity.model.FindEmployeeResModel;
import com.lz.modules.equipment.entity.model.FindEquipmentsByNameModel;
import com.lz.modules.sys.entity.SysUserEntity;

import java.util.List;

/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-24
*/
public interface IEquipmentInfoService extends IService<EquipmentInfo> {



	EquipmentInfo selectEquipmentInfoById(Long id);


	Long insertEquipmentInfo(EquipmentInfo equipmentInfo);


	int updateEquipmentInfoById(EquipmentInfo equipmentInfo);


	int updateCoverEquipmentInfoById(EquipmentInfo equipmentInfo);


	int deleteEquipmentInfoById(Long id);

	int addEquipment(EquipmentInfo info);

	void changeEquipmentInfo(EquipmentDto dto, SysUserEntity infoDto);

	EquipmentInfo selectEquipmentInfoByCode(String code);

    PageUtils selectByCondition(EquipmentInfoReq req);

	List<EquipmentInfo> selectByStaffIdOrDepId(IPage page, FindEquipmentsByNameModel nameModel);

	EquipmentInfo selectEquipmentInfoByCount(Integer count);

    int selectCountAllByState(Integer num);

	int selectCountByState(Integer num, int i);

	int selectCountByDepartmentIds(Integer num, List<String> asList);

	int selectCountByNotFind(Integer num);

	int selectCountAllDepartment(int num);

	int updateCoverEquipmentInfoByTypeId(Long id, String type);

	int updateCoverEquipmentInfoByBrandId(Long id, String brand);

	int updateCoverEquipmentInfoBySpecsId(Long id, String specs);
}